Package org.pgpainless.sop

# Class DearmorImpl

java.lang.Object
org.pgpainless.sop.DearmorImpl

All Implemented Interfaces:
  `sop.operation.Dearmor`

public class DearmorImpl extends Object implements sop.operation.Dearmor
Implementation of the

    dearmor

operation using PGPainless.

## Constructor Summary

Constructors
Constructor
Description
`DearmorImpl()`

## Method Summary

Modifier and Type
Method
Description
`sop.Ready`
`data(InputStream data)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface sop.operation.Dearmor

`data, data`

## Constructor Details

### DearmorImpl

public DearmorImpl()

## Method Details

### data

public sop.Ready data(InputStream data)

Specified by:
  `data` in interface `sop.operation.Dearmor`